Bug 263924 - dns/pear-Net_DNS2: upgrade to 1.5.2 to make usable with PHP-8
Summary: dns/pear-Net_DNS2: upgrade to 1.5.2 to make usable with PHP-8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-05-11 15:23 UTC by Thierry Thomas
Modified: 2022-05-15 09:30 UTC (History)
0 users

See Also:
sunpoet: maintainer-feedback+


Attachments
Upgrade to 1.5.2 (1.77 KB, patch)
2022-05-11 15:23 UTC, Thierry Thomas
no flags Details | Diff
Upgrade to 1.5.2 (1.64 KB, patch)
2022-05-12 18:12 UTC, Thierry Thomas
no flags Details | Diff
Upgrade to 1.5.2 (6.07 KB, patch)
2022-05-13 10:58 UTC, Thierry Thomas
no flags Details | Diff
Upgrade to 1.5.2+ (1.65 KB, patch)
2022-05-13 15:18 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas freebsd_committer 2022-05-11 15:23:22 UTC
Created attachment 233856 [details]
Upgrade to 1.5.2

Version 1.5.0 produces errors when used with PHP-8:

PHP Fatal error:  Uncaught ValueError: fread(): Argument #2 ($length) must be greater than 0 in /usr/local/share/pear/Net/DNS2/Cache/File.

It has been fixed in 1.5.2.
Comment 1 Thierry Thomas freebsd_committer 2022-05-12 18:12:17 UTC
Created attachment 233879 [details]
Upgrade to 1.5.2

The problem encountered with package.xml is common to many ports when using php80-pear-1.10.12: it is better to fix that in Mk/Uses/pear.mk.
Comment 2 Thierry Thomas freebsd_committer 2022-05-13 10:58:46 UTC
Created attachment 233889 [details]
Upgrade to 1.5.2

Adding two more patches (not yet released) for a better compatibility with PHP-8.0.

See https://github.com/mikepultz/netdns2/commit/1284c4b1f0a0e1fe087b4fec7dff960d0527e273#diff-ed3054beeb38cda5da1a8dd44a4278af20bdfb259fc357f39294b3f8d44e7206
Comment 3 Po-Chuan Hsieh freebsd_committer 2022-05-13 12:39:08 UTC
(In reply to Thierry Thomas from comment #2)

I think it's OK to use GH_TAGNAME=1284c4b and remove DISTVERSIONPREFIX.
Comment 4 Thierry Thomas freebsd_committer 2022-05-13 15:18:08 UTC
Created attachment 233894 [details]
Upgrade to 1.5.2+

New patch, using TAGNAME.
Comment 5 Po-Chuan Hsieh freebsd_committer 2022-05-14 11:18:22 UTC
LGTM. Thanks!
Comment 6 Thierry Thomas freebsd_committer 2022-05-15 09:29:56 UTC
Committed, thanks!
Comment 7 commit-hook freebsd_committer 2022-05-15 09:30:03 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=fd4268a39c5ae8566683f2393772a31bc387dfe7

commit fd4268a39c5ae8566683f2393772a31bc387dfe7
Author:     Thierry Thomas <thierry@FreeBSD.org>
AuthorDate: 2022-05-11 15:18:30 +0000
Commit:     Thierry Thomas <thierry@FreeBSD.org>
CommitDate: 2022-05-15 09:29:47 +0000

    dns/pear-Net_DNS2: upgrade to 1.5.2

    Version 1.5.0 produces errors when used with PHP-8:

    PHP Fatal error:  Uncaught ValueError: fread(): Argument #2 ($length) must be greater than 0 in /usr/local/share/pear/Net/DNS2/Cache/File.

    It has been fixed in 1.5.2.

    PR:             263924
    Approved by:    sunpoet (maintainer)

 dns/pear-Net_DNS2/Makefile | 7 ++++++-
 dns/pear-Net_DNS2/distinfo | 6 +++---
 2 files changed, 9 insertions(+), 4 deletions(-)